(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     59565,       1409]
NotebookOptionsPosition[     50551,       1238]
NotebookOutlinePosition[     53024,       1296]
CellTagsIndexPosition[     52549,       1282]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Student", " ", "Name"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"July", " ", "24"}], ",", " ", "2018"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Physics", " ", "III"}], " ", "-", " ", 
    RowBox[{"Introduction", " ", "to", " ", "Statistical", " ", "Physics"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{" ", 
    RowBox[{
     RowBox[{"Assignment", " ", "5"}], " ", "-", " ", 
     RowBox[{"Problem", " ", "5"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.740827998671999*^9, 3.7408280624187*^9}, {
   3.740828148309654*^9, 3.740828149213911*^9}, {3.740828182060598*^9, 
   3.740828198285409*^9}, {3.7408283554163*^9, 3.740828362438055*^9}, {
   3.740828407788045*^9, 3.7408284323215*^9}, {3.7408301476194963`*^9, 
   3.7408301631292467`*^9}, {3.740831263315872*^9, 3.74083130330422*^9}, {
   3.740832047143058*^9, 3.740832060574497*^9}, {3.7408321081590223`*^9, 
   3.7408321337623034`*^9}, {3.740832742145514*^9, 3.740832765441086*^9}, 
   3.7408333314702053`*^9, 3.7408337601410923`*^9, {3.740833858916465*^9, 
   3.7408338624027157`*^9}, {3.740837327076077*^9, 3.7408373324560204`*^9}, {
   3.740838912335972*^9, 3.740838915761477*^9}, {3.741050704519249*^9, 
   3.741050708820043*^9}},ExpressionUUID->"0ddec9cd-366e-4c71-a200-\
dfc298dafbea"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["(a)",
  FontWeight->"Bold"],
 " Mean and Standard Deviation of Binomial Distribution"
}], "Subsubsection",
 CellChangeTimes->{{3.740832790450245*^9, 3.740832798281765*^9}, {
  3.740835278343739*^9, 3.740835281630425*^9}, {3.740835324474875*^9, 
  3.740835340112845*^9}, {3.740837302843678*^9, 
  3.74083730503259*^9}},ExpressionUUID->"27770dff-b8c6-4028-a08b-\
43a423cf3356"],

Cell[TextData[{
 "For the binomial distribution where the probability of getting heads is \
50%, the mean for N coin flips is ",
 StyleBox["< k> = N/2",
  FontWeight->"Bold"],
 " and the standard deviation is ",
 StyleBox["\[Sigma]_k= sqrt(N)/4",
  FontWeight->"Bold"],
 ". If we take N = 1000, we have ",
 StyleBox["<k> = 500",
  FontWeight->"Bold"],
 " and ",
 StyleBox["\[Sigma]_k = 15.811. ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.7408373069396563`*^9, 3.740837308600721*^9}, {
  3.741049099345172*^9, 3.7410492151974487`*^9}, {3.741050608457296*^9, 
  3.7410506850857153`*^9}},ExpressionUUID->"ca2c09a7-a756-4cfa-b8b4-\
7c4bc022c894"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["(b)",
  FontWeight->"Bold"],
 " Function Definitions"
}], "Subsubsection",
 CellChangeTimes->{{3.740832790450245*^9, 3.740832798281765*^9}, {
  3.740835278343739*^9, 
  3.740835281630425*^9}},ExpressionUUID->"91e23396-02f3-45df-a643-\
0f3f1bb55283"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "For"}]], "Input",ExpressionUUID->"cc8bcb16-41a6-4c30-9684-a556900fe9a1"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"For\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"start\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"test\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"incr\\\", \
\\\"TI\\\"], \\\",\\\", StyleBox[\\\"body\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) \
executes \\!\\(\\*StyleBox[\\\"start\\\", \\\"TI\\\"]\\), then repeatedly \
evaluates \\!\\(\\*StyleBox[\\\"body\\\", \\\"TI\\\"]\\) and \
\\!\\(\\*StyleBox[\\\"incr\\\", \\\"TI\\\"]\\) until \
\\!\\(\\*StyleBox[\\\"test\\\", \\\"TI\\\"]\\) fails to give True. \"\>", 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/For"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049224921628*^9},
 CellTags->
  "Info13741034823-4460184",ExpressionUUID->"e73956d0-cfcb-430f-9598-\
a8541838b4ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "RandomReal"}]], "Input",
 CellChangeTimes->{{3.7408329889031076`*^9, 3.7408329937035713`*^9}, {
  3.740833640136971*^9, 
  3.7408336408149548`*^9}},ExpressionUUID->"8794e215-cef7-464b-95b9-\
b709c1ee2880"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"RandomReal\\\", \\\"[\\\", \\\"]\\\"}]\\) \
gives a pseudorandom real number in the range 0 to 1. \
\\n\\!\\(\\*RowBox[{\\\"RandomReal\\\", \\\"[\\\", RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"min\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]]}], \\\"}\\\"}], \\\"]\\\"}]\\) gives a \
pseudorandom real number in the range \
\\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"min\\\", \
\\\"TI\\\"]]\\) to \\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]]\\). \
\\n\\!\\(\\*RowBox[{\\\"RandomReal\\\", \\\"[\\\", \
SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"max\\\", \
\\\"TI\\\"]], \\\"]\\\"}]\\) gives a pseudorandom real number in the range 0 \
to \\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"RandomReal\\\", \
\\\"[\\\", RowBox[{StyleBox[\\\"range\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"n\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) gives a list of \
\\!\\(\\*StyleBox[\\\"n\\\", \\\"TI\\\"]\\) pseudorandom reals. \
\\n\\!\\(\\*RowBox[{\\\"RandomReal\\\", \\\"[\\\", RowBox[{StyleBox[\\\"range\
\\\", \\\"TI\\\"], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"n\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"n\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"}\\\"}]}], \\\"]\\\"}]\\) gives an \
\\!\\(\\*SubscriptBox[StyleBox[\\\"n\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \\\
\"TR\\\"]]\\)\[Times]\\!\\(\\*SubscriptBox[StyleBox[\\\"n\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]]\\)\[Times]\[Ellipsis] array of pseudorandom \
reals. \"\>", "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RandomReal"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049228503714*^9},
 CellTags->
  "Info23741034828-4460184",ExpressionUUID->"89d6054d-5843-4e8c-a3e5-\
472dbcd4b2ce"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "If "}]], "Input",
 CellChangeTimes->{{3.740833335789168*^9, 3.7408333367018414`*^9}, {
  3.740833585974573*^9, 
  3.740833590033174*^9}},ExpressionUUID->"dc3ca52d-a52e-40bb-9438-\
2e38ffdad6a7"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"If\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"condition\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"t\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"f\\\", \
\\\"TI\\\"]}], \\\"]\\\"}]\\) gives \\!\\(\\*StyleBox[\\\"t\\\", \
\\\"TI\\\"]\\) if \\!\\(\\*StyleBox[\\\"condition\\\", \\\"TI\\\"]\\) \
evaluates to True, and \\!\\(\\*StyleBox[\\\"f\\\", \\\"TI\\\"]\\) if it \
evaluates to False. \\n\\!\\(\\*RowBox[{\\\"If\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"condition\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"t\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"f\\\", \\\"TI\\\"], \
\\\",\\\", StyleBox[\\\"u\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) gives \
\\!\\(\\*StyleBox[\\\"u\\\", \\\"TI\\\"]\\) if \
\\!\\(\\*StyleBox[\\\"condition\\\", \\\"TI\\\"]\\) evaluates to neither True \
nor False. \"\>", "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/If"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049231159741*^9},
 CellTags->
  "Info33741034831-4460184",ExpressionUUID->"aa0c85e8-ce4e-457c-ba70-\
e1640a8f5a8b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Print"}]], "Input",ExpressionUUID->"f5b3bc30-635c-4f49-af65-39d16825acd4"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"Print\\\", \\\"[\\\", \
StyleBox[\\\"expr\\\", \\\"TI\\\"], \\\"]\\\"}]\\) prints \
\\!\\(\\*StyleBox[\\\"expr\\\", \\\"TI\\\"]\\) as output. \"\>", 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Print"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049232913701*^9},
 CellTags->
  "Info43741034832-4460184",ExpressionUUID->"b171c249-8def-4b59-8779-\
700b4c485392"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Range"}]], "Input",
 CellChangeTimes->{{3.740833001436778*^9, 3.740833002193665*^9}, {
  3.740833584376494*^9, 
  3.740833591424643*^9}},ExpressionUUID->"98640a8d-17af-466f-ba36-\
c4af7a8c5192"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"Range\\\", \\\"[\\\", \
SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], StyleBox[\\\"max\\\", \
\\\"TI\\\"]], \\\"]\\\"}]\\) generates the list \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\", \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"], \\\",\\\", \
SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], StyleBox[\\\"max\\\", \
\\\"TI\\\"]]}], \\\"}\\\"}]\\). \\n\\!\\(\\*RowBox[{\\\"Range\\\", \\\"[\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], StyleBox[\\\"min\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]]}], \\\"]\\\"}]\\) generates the list \
\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\
\"], StyleBox[\\\"min\\\", \\\"TI\\\"]], \\\",\\\", \
StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"], \\\",\\\", \
SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], StyleBox[\\\"max\\\", \
\\\"TI\\\"]]}], \\\"}\\\"}]\\). \\n\\!\\(\\*RowBox[{\\\"Range\\\", \\\"[\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], StyleBox[\\\"min\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"i\\\", \\\"TI\\\"], \
StyleBox[\\\"max\\\", \\\"TI\\\"]], \\\",\\\", StyleBox[\\\"di\\\", \
\\\"TI\\\"]}], \\\"]\\\"}]\\) uses step \\!\\(\\*StyleBox[\\\"di\\\", \
\\\"TI\\\"]\\).\"\>", "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Range"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049236024886*^9},
 CellTags->
  "Info53741034835-4460184",ExpressionUUID->"7e155e47-3355-4f0a-88e5-\
98977fae2ebf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "AppendTo"}]], "Input",ExpressionUUID->"a8f74e22-d3c1-4ff7-a0c7-a0325d174c7d"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"AppendTo\\\", \\\"[\\\", RowBox[{StyleBox[\
\\\"s\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"elem\\\", \\\"TI\\\"]}], \
\\\"]\\\"}]\\) appends \\!\\(\\*StyleBox[\\\"elem\\\", \\\"TI\\\"]\\) to the \
value of \\!\\(\\*StyleBox[\\\"s\\\", \\\"TI\\\"]\\), and resets \
\\!\\(\\*StyleBox[\\\"s\\\", \\\"TI\\\"]\\) to the result. \"\>", 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/AppendTo"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049238904112*^9},
 CellTags->
  "Info63741034838-4460184",ExpressionUUID->"745943fd-c91e-49f3-9590-\
690842f16818"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Histogram"}]], "Input",
 CellChangeTimes->{{3.740833006059317*^9, 3.740833007031253*^9}, {
  3.740833593121489*^9, 
  3.740833610312187*^9}},ExpressionUUID->"13c253fb-f60b-4f55-a61b-\
a7c06543f28b"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"Histogram\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) plots a histogram \
of the values \\!\\(\\*SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], \
StyleBox[\\\"i\\\", \\\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"Histogram\\\", \\\
\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\
\"}], \\\",\\\", StyleBox[\\\"bspec\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) plots \
a histogram with bin width specification \\!\\(\\*StyleBox[\\\"bspec\\\", \
\\\"TI\\\"]\\).\\n\\!\\(\\*RowBox[{\\\"Histogram\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\
\"}], \\\",\\\", StyleBox[\\\"bspec\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"hspec\\\", \\\"TI\\\"]}], \\\"]\\\"}]\\) plots a histogram with \
bin heights computed according to the specification \
\\!\\(\\*StyleBox[\\\"hspec\\\", \
\\\"TI\\\"]\\).\\n\\!\\(\\*RowBox[{\\\"Histogram\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\
\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\
\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\
\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\"}]\\) plots \
histograms for multiple datasets \\!\\(\\*SubscriptBox[StyleBox[\\\"data\\\", \
\\\"TI\\\"], StyleBox[\\\"i\\\", \\\"TI\\\"]]\\).\"\>", "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Histogram"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049240504341*^9},
 CellTags->
  "Info73741034840-4460184",ExpressionUUID->"42f490a8-623e-44ae-a460-\
d49d7f73dd69"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Mean"}]], "Input",
 CellChangeTimes->{{3.740833009716514*^9, 3.740833011790655*^9}, {
  3.740833604202251*^9, 
  3.74083361296806*^9}},ExpressionUUID->"9029496f-42c9-475b-b060-\
5d39cdc8f8cf"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"Mean\\\", \\\"[\\\", \
StyleBox[\\\"list\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the statistical mean \
of the elements in \\!\\(\\*StyleBox[\\\"list\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"Mean\\\", \\\"[\\\", StyleBox[\\\"dist\\\", \
\\\"TI\\\"], \\\"]\\\"}]\\) gives the mean of the symbolic distribution \
\\!\\(\\*StyleBox[\\\"dist\\\", \\\"TI\\\"]\\).\"\>", "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Mean"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.7410492450234623`*^9},
 CellTags->
  "Info83741034844-4460184",ExpressionUUID->"bc951557-ff9a-46af-9c9c-\
06df118ace1f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "StandardDeviation"}]], "Input",ExpressionUUID->"47116c2e-7979-4280-b05f-c6668f680605"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"StandardDeviation\\\", \\\"[\\\", \
StyleBox[\\\"list\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the sample standard \
deviation of the elements in \\!\\(\\*StyleBox[\\\"list\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"StandardDeviation\\\", \\\"[\\\", StyleBox[\\\"dist\\\
\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the standard deviation of the symbolic \
distribution \\!\\(\\*StyleBox[\\\"dist\\\", \\\"TI\\\"]\\).\"\>", 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/StandardDeviation"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.741049246641931*^9},
 CellTags->
  "Info93741034846-4460184",ExpressionUUID->"0cd2dbe9-8751-48de-942f-\
3c4bd750ddce"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "N"}]], "Input",ExpressionUUID->"e75c18dd-7ac9-4d1e-b5e1-7876640c6f36"],

Cell[BoxData[
 RowBox[{"\<\"\\!\\(\\*RowBox[{\\\"N\\\", \\\"[\\\", StyleBox[\\\"expr\\\", \
\\\"TI\\\"], \\\"]\\\"}]\\) gives the numerical value of \\!\\(\\*StyleBox[\\\
\"expr\\\", \\\"TI\\\"]\\). \\n\\!\\(\\*RowBox[{\\\"N\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"expr\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"n\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\\) attempts to give a result with \\!\\(\\*StyleBox[\
\\\"n\\\", \\\"TI\\\"]\\)\[Hyphen]digit precision. \"\>", 
  "\[NonBreakingSpace]", 
  ButtonBox[
   StyleBox["\[RightSkeleton]", "SR"],
   Active->True,
   BaseStyle->"Link",
   ButtonData->"paclet:ref/N"]}]], "Print", "PrintUsage",
 CellChangeTimes->{3.7410492486794243`*^9},
 CellTags->
  "Info103741034848-4460184",ExpressionUUID->"e124f3e1-e13b-4b9c-b26b-\
ceb23911173c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["(c)",
  FontWeight->"Bold"],
 " Simple Code Examples"
}], "Subsubsection",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.740832813043096*^9, 3.740832831649694*^9}, {
  3.740835283686376*^9, 3.740835286550439*^9}, {3.7408445719433107`*^9, 
  3.740844584179319*^9}},ExpressionUUID->"f873ad81-f509-4005-a519-\
1b95a56bcad5"],

Cell[TextData[StyleBox["Simple For-Loop",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 3.7408334501309433`*^9}, {
   3.740833787298945*^9, 
   3.740833791392362*^9}},ExpressionUUID->"6c331d6d-4f0c-49a0-8fd8-\
4a56e4865e4b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", " ", "=", " ", "0"}], ",", " ", 
    RowBox[{"i", " ", "<", "5"}], ",", " ", 
    RowBox[{"i", "++"}], ",", " ", 
    RowBox[{"Print", "[", "i", "]"}]}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Starting", " ", "from", " ", "i"}], " ", "=", " ", "0"}], ",", 
    " ", 
    RowBox[{
    "prints", " ", "the", " ", "number", " ", "i", " ", "and", " ", 
     "increments", " ", "by", " ", "1.", " ", "Repeats", " ", "this", " ", 
     "process", " ", "until", " ", "i", " ", "exceeds", " ", "5"}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{
  3.740833776451593*^9, {3.741049253927175*^9, 
   3.741049286206195*^9}},ExpressionUUID->"effa9ea1-20e5-4265-bb72-\
3de486ac27ff"],

Cell[CellGroupData[{

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.7410492884540462`*^9},ExpressionUUID->"e7697f8e-bbab-4d79-85e9-\
5eef81be7f57"],

Cell[BoxData["1"], "Print",
 CellChangeTimes->{
  3.741049288461636*^9},ExpressionUUID->"b93b1eef-ead2-4449-874e-\
cd50622828d4"],

Cell[BoxData["2"], "Print",
 CellChangeTimes->{
  3.741049288506056*^9},ExpressionUUID->"979be5d7-e6e6-4717-99a7-\
a3b58a137d53"],

Cell[BoxData["3"], "Print",
 CellChangeTimes->{
  3.74104928851651*^9},ExpressionUUID->"1d6e1ae7-0d10-4cc6-8c6a-3b9ee6e9ab6d"],

Cell[BoxData["4"], "Print",
 CellChangeTimes->{
  3.741049288526091*^9},ExpressionUUID->"7e49bc1e-910a-417a-bf95-\
3c6251f60282"]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Single Coin Toss Simulation ",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 
   3.7408334501309433`*^9}},ExpressionUUID->"5c1f1afa-66b4-4b82-843b-\
139d11738c7c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "=", 
    RowBox[{"RandomReal", "[", "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Selects", " ", "a", " ", "random", " ", "real", " ", "number", " ", 
    "between", " ", "0", " ", "and", " ", "1"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"x", " ", ">", " ", "0.5"}], ",", 
    RowBox[{"Print", "[", "H", "]"}], ",", " ", 
    RowBox[{"Print", "[", "T", "]"}]}], "]"}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "If", " ", "the", " ", "randomly", " ", "selected", " ", "real", " ", 
     "number", " ", "is", " ", "greater", " ", "than", " ", "0.5"}], ",", " ", 
    RowBox[{
     RowBox[{"then", " ", "print", " ", "H"}], ";", " ", 
     RowBox[{"otherwise", " ", "print", " ", "T"}]}]}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.740829845648628*^9, 3.7408298919055233`*^9}, {
  3.740832958275523*^9, 3.740832963865365*^9}, {3.740833107100716*^9, 
  3.740833152377533*^9}, {3.740833273742036*^9, 3.740833274124003*^9}, {
  3.74083338490145*^9, 3.74083338630937*^9}, {3.741049292054289*^9, 
  3.7410493310856323`*^9}},ExpressionUUID->"b5fc2a9f-8872-48f3-a146-\
839317bfaca8"],

Cell[BoxData["T"], "Print",
 CellChangeTimes->{
  3.741049332866794*^9},ExpressionUUID->"1b72276f-064d-4c68-b0fe-\
2dcff6eab43f"]
}, Open  ]],

Cell[TextData[StyleBox["Three Coin Tosses Simulation ",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 
   3.7408334717939587`*^9}},ExpressionUUID->"9dd8eef7-038e-4c8d-8cd6-\
15e3064f8612"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"k", "=", "1"}], ",", 
    RowBox[{"k", "<", "4"}], ",", 
    RowBox[{"k", "++"}], ",", 
    RowBox[{
     RowBox[{"x", "=", 
      RowBox[{"RandomReal", "[", "]"}]}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"Starting", " ", "from", " ", "k"}], "=", "1"}], ",", " ", 
       RowBox[{
       "selects", " ", "a", " ", "random", " ", "real", " ", "number"}], ",", 
       " ", 
       RowBox[{
       "executes", " ", "program", " ", "and", " ", "then", " ", "increments",
         " ", "by", " ", "1.", " ", "Cycle", " ", "repeates", " ", "until", 
        " ", "k", " ", "exceeds", " ", "4"}]}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"x", " ", ">", " ", "0.5"}], ",", 
       RowBox[{"Print", "[", "H", "]"}], ",", " ", 
       RowBox[{"Print", "[", "T", "]"}]}], "]"}]}]}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "If", " ", "the", " ", "randomly", " ", "selected", " ", "real", " ", 
     "number", " ", "is", " ", "greater", " ", "than", " ", "0.5"}], ",", " ", 
    RowBox[{
     RowBox[{"then", " ", "print", " ", "H"}], ";", " ", 
     RowBox[{"otherwise", " ", "print", " ", "T"}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.7408299024792547`*^9, 3.7408299772382927`*^9}, 
   3.740832971234528*^9, {3.740833123426548*^9, 3.740833156161627*^9}, {
   3.740833275956107*^9, 3.74083327626796*^9}, 3.740833520745796*^9, {
   3.741049337109337*^9, 
   3.741049403443324*^9}},ExpressionUUID->"3187b146-8718-4bc3-a26e-\
e850ea370635"],

Cell[CellGroupData[{

Cell[BoxData["H"], "Print",
 CellChangeTimes->{
  3.741049471054811*^9},ExpressionUUID->"3d030525-f353-4eab-ba4b-\
851af9ffb057"],

Cell[BoxData["H"], "Print",
 CellChangeTimes->{
  3.7410494710634604`*^9},ExpressionUUID->"d10a8deb-cc67-479e-ab66-\
91b64f16d6c4"],

Cell[BoxData["H"], "Print",
 CellChangeTimes->{
  3.7410494710733*^9},ExpressionUUID->"4655575a-94f7-4107-99ed-7ac4faf6ad4c"]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Element Extraction",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 3.7408334501309433`*^9}, {
   3.740833498923498*^9, 
   3.740833502657434*^9}},ExpressionUUID->"069330e8-e84e-4234-b140-\
8071ace4fcb3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vec", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "2", ",", "4", ",", "6", ",", "8", ",", "10", ",", "12", ",", "14", ",", 
      "16", ",", "18", ",", "20"}], "}"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Defines", " ", "a", " ", "vector", " ", "of", " ", "even", " ", "numbers",
     " ", "from", " ", "0", " ", "to", " ", "20"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vec", "[", 
   RowBox[{"[", "4", "]"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Selects", " ", "the", " ", "fourth", " ", "element", " ", "from", " ", 
    "the", " ", "vector", " ", "of", " ", "numbers"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.740830050001869*^9, 3.740830091168961*^9}, {
   3.740833133188822*^9, 3.740833157929337*^9}, 3.74083336706212*^9, 
   3.74083351888167*^9, {3.7410494066911592`*^9, 
   3.7410494257393227`*^9}},ExpressionUUID->"1f9eb50f-1a14-42f5-909d-\
6de09211cb0f"],

Cell[BoxData["8"], "Output",
 CellChangeTimes->{
  3.741049475224008*^9},ExpressionUUID->"4c06546a-56ca-475a-a0e3-\
95a54e749e10"]
}, Open  ]],

Cell[TextData[StyleBox["Element appending",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 3.7408334501309433`*^9}, {
   3.740833507867117*^9, 
   3.740833511081088*^9}},ExpressionUUID->"90950759-5707-42cd-bda5-\
12179598c193"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vec", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "2", ",", " ", "3"}], "}"}]}], ";", " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Defines", " ", "a", " ", "vector", " ", "consisting", " ", "of", " ", 
      "the", " ", "numbers", " ", "1"}], ",", " ", "2", ",", " ", 
     RowBox[{"3", " ", "in", " ", "sequence"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", "vec", "]"}]}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Prints", " ", "the", " ", "vector"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"vec", ",", " ", "4"}], "]"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Appends", " ", "to", " ", "vector", " ", "the", " ", "number", " ", "4", 
    " ", "and", " ", "thus", " ", "extends", " ", "the", " ", "length", " ", 
    "by", " ", "1"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "vec", "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Print", " ", "the", " ", "new", " ", "vector"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.740829696976869*^9, 3.740829756582531*^9}, {
  3.740829800134021*^9, 3.74082981194283*^9}, {3.740829998875209*^9, 
  3.7408300411619253`*^9}, {3.74083316519351*^9, 3.740833181401123*^9}, {
  3.7408335134335814`*^9, 3.7408335156974373`*^9}, {3.741049428502614*^9, 
  3.741049467034685*^9}},ExpressionUUID->"67c14706-192c-44f6-94aa-\
d7335ab3e11b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3"}], "}"}]], "Print",
 CellChangeTimes->{
  3.741049478041733*^9},ExpressionUUID->"4b5e04a0-e472-4f0c-8c36-\
0677fa4c9043"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]], "Print",
 CellChangeTimes->{
  3.7410494780486383`*^9},ExpressionUUID->"25b20ee8-0438-4229-9f1f-\
c0b94078e465"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["(Simulating Coin Flips)", "Subsubsection",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.740832846992659*^9, 3.740832853104616*^9}, {
   3.740832893271142*^9, 3.7408328953345337`*^9}, {3.7408352904542027`*^9, 
   3.740835293693769*^9}, {3.740835836110014*^9, 3.7408358395941563`*^9}, {
   3.740836649061647*^9, 3.740836650147141*^9}, 
   3.740837049085009*^9},ExpressionUUID->"bf0cc75e-ff58-43be-9edc-\
c1b9e3021430"],

Cell[TextData[StyleBox["(d) Single Coin-Flip Simulations",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 3.7408334501309433`*^9}, {
   3.740833507867117*^9, 3.740833511081088*^9}, {3.740836665420753*^9, 
   3.740836673578698*^9}},ExpressionUUID->"87aa1e0e-5fa1-4063-86dc-\
54b35dd253f7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Nflips", " ", "=", " ", "1000"}], ";", " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Student", " ", "Mistake", " ", "in", " ", "Assignment"}], ";", 
     " ", " ", 
     RowBox[{
     "Defines", " ", "the", " ", "total", " ", "number", " ", "of", " ", 
      "coin", " ", "flips", " ", "for", " ", "a", " ", "single", " ", 
      "simulation"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"flip", " ", "=", " ", 
    RowBox[{"Range", "[", 
     RowBox[{"0", ",", 
      RowBox[{"Nflips", "-", "1"}]}], "]"}]}], ";", " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Defines", " ", "numbered", " ", "sequence", " ", "of", " ", "flips", 
      " ", "from", " ", "0", " ", "to", " ", "Nflips"}], "-", "1"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"HeadsCount", " ", "=", 
    RowBox[{"{", "0", "}"}]}], ";", " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Sets", " ", "the", " ", "initial", " ", "count", " ", "of", " ", 
      "heads"}], ",", " ", 
     RowBox[{
     "for", " ", "zero", " ", "coin", " ", "flips", " ", "to", " ", "be", " ",
       "zero"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"k", "=", "1"}], ",", 
     RowBox[{"k", "<", "Nflips"}], ",", 
     RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"x", "=", 
       RowBox[{"RandomReal", "[", "]"}]}], ";", " ", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"x", " ", ">", " ", "0.5"}], ",", 
        RowBox[{"{", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"HeadsCount", " ", ",", 
           RowBox[{
            RowBox[{"HeadsCount", " ", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "+", "1"}]}], "]"}], "}"}], ",", 
        " ", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"HeadsCount", " ", ",", 
           RowBox[{"HeadsCount", " ", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}], " ", "]"}], "}"}]}], "]"}]}]}], 
    "]"}]}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Student", " ", "Mistake", " ", "in", " ", "Assignment"}], ";", 
     " ", " ", 
     RowBox[{"gets", " ", "a", " ", "random", " ", "real", " ", "number"}], 
     ";", " ", 
     RowBox[{
     "if", " ", "number", " ", "is", " ", "greater", " ", "than", " ", 
      "0.5"}]}], ",", " ", 
    RowBox[{
    "make", " ", "the", " ", "next", " ", "count", " ", "of", " ", "number", 
     " ", "of", " ", "heads"}], ",", " ", 
    RowBox[{"\"\<1+previous count\>\"", ";", " ", 
     RowBox[{
     "otherwise", " ", "make", " ", "next", " ", "count", " ", "of", " ", 
      "number", " ", "of", " ", "heads", " ", "the", " ", "same", " ", "as", 
      " ", "previous", " ", "count"}], ";", " ", 
     RowBox[{
     "repeats", " ", "this", " ", "procedure", " ", "a", " ", "total", " ", 
      "of", " ", "Nflips", " ", "times"}]}], ",", " ", 
    RowBox[{
    "and", " ", "thereby", " ", "obtains", " ", "a", " ", "count", " ", "of", 
     " ", "heads", " ", "obtained", " ", "as", " ", "a", " ", "function", " ",
      "of", " ", "current", " ", "flip", " ", "number"}]}], "  ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"flip", ",", "HeadsCount"}], " ", "}"}], "]"}], "]"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "Plots", " ", "the", " ", "count", " ", "of", " ", "total", " ", "heads", 
    " ", "as", " ", "a", " ", "function", " ", "of", " ", "the", " ", 
    "current", " ", "flip"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.740829765559126*^9, 3.740829770215125*^9}, {
   3.74082981358432*^9, 3.740829822555498*^9}, {3.740831555553475*^9, 
   3.740831559510334*^9}, {3.74083194190003*^9, 3.7408319679386053`*^9}, {
   3.74083247146627*^9, 3.740832632771305*^9}, {3.740833653519805*^9, 
   3.740833667189373*^9}, {3.740836114104705*^9, 3.7408361209193287`*^9}, {
   3.7408769499474373`*^9, 3.7408769513610373`*^9}, {3.74087700159853*^9, 
   3.740877005999432*^9}, {3.7410494821222258`*^9, 3.7410497798039703`*^9}, {
   3.7410499339175863`*^9, 3.7410499380855017`*^9}, 3.741049976278236*^9, {
   3.741050043760951*^9, 3.7410500791277447`*^9}, {3.74105026476083*^9, 
   3.7410502653356333`*^9}},ExpressionUUID->"5a77e31b-9905-4375-9b92-\
53fa96fb1b7a"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.008333333333333333], 
     AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxt2TeMO2sVhvERNC5dULigGK4QshBCJps8ZJPNJZk8hAsmm2zyRzbZ5ZZT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      "]]}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 999.}, {0, 521.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7410502621358433`*^9, 
  3.741050267715912*^9}},ExpressionUUID->"336b06f4-c0c1-45ad-96bd-\
f26ac38cb3aa"]
}, Open  ]],

Cell[TextData[StyleBox["(e) Many Coin-Flip Simulations",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 3.7408334501309433`*^9}, {
   3.740833507867117*^9, 3.740833511081088*^9}, {3.740836679500115*^9, 
   3.740836685211668*^9}},ExpressionUUID->"16701fdc-a7f0-4475-86d5-\
3ba95c44ec96"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Nsimulations", "=", "5000"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Student", " ", "Mistake", " ", "in", " ", "Assignment"}], ";", 
     " ", 
     RowBox[{
     "Defines", " ", "the", " ", "number", " ", "of", " ", "simulations"}]}], 
    ",", " ", 
    RowBox[{
    "that", " ", "is", " ", "the", " ", "number", " ", "of", " ", "times", 
     " ", "we", " ", "perform", " ", "1000", " ", "coin", " ", "flips"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Nflips", "=", "1000"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Student", " ", "Mistake", " ", "in", " ", "Assignment"}], ";", 
    " ", " ", 
    RowBox[{
    "Defines", " ", "the", " ", "number", " ", "of", " ", "coin", " ", 
     "flips", " ", "in", " ", "a", " ", "single", " ", 
     RowBox[{"simulation", "."}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"flip", " ", "=", " ", 
    RowBox[{"Range", "[", 
     RowBox[{"0", ",", 
      RowBox[{"Nflips", "-", "1"}]}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Defines", " ", "numbered", " ", "sequence", " ", "of", " ", "flips", " ",
      "from", " ", "0", " ", "to", " ", "Nflips"}], "-", "1"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SimHeadsCount", "=", 
    RowBox[{"{", "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Empty", " ", "list", " ", "which", " ", "will", " ", "contain", " ", 
    "the", " ", "total", " ", "count", " ", "of", " ", "heads", " ", "for", 
    " ", "each", " ", "simulation"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "1"}], ",", 
     RowBox[{"j", "<", "Nsimulations"}], ",", 
     RowBox[{"j", "++"}], ",", 
     RowBox[{
      RowBox[{"HeadsCount", " ", "=", 
       RowBox[{"{", "0", "}"}]}], ";", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", "1"}], ",", 
        RowBox[{"k", "<", "Nflips"}], ",", 
        RowBox[{"k", "++"}], ",", 
        RowBox[{
         RowBox[{"x", "=", 
          RowBox[{"RandomReal", "[", "]"}]}], ";", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"x", " ", ">", " ", "0.5"}], ",", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"HeadsCount", ",", 
             RowBox[{
              RowBox[{"HeadsCount", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "+", "1"}]}], "]"}], ",", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"HeadsCount", ",", 
             RowBox[{"HeadsCount", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], " ", "]"}]}], "]"}]}]}], 
       "]"}], ";", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"SimHeadsCount", ",", 
        RowBox[{"HeadsCount", "[", 
         RowBox[{"[", "Nflips", "]"}], " ", "]"}]}], "]"}]}]}], "]"}], ";", 
   " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Student", " ", "Mistake", " ", "in", " ", "Assignment"}], ";", 
      " ", " ", 
      RowBox[{"gets", " ", "a", " ", "random", " ", "real", " ", "number"}], 
      ";", " ", 
      RowBox[{
      "if", " ", "number", " ", "is", " ", "greater", " ", "than", " ", 
       "0.5"}]}], ",", " ", 
     RowBox[{
     "make", " ", "the", " ", "next", " ", "count", " ", "of", " ", "number", 
      " ", "of", " ", "heads"}], ",", " ", 
     RowBox[{"\"\<1+previous count\>\"", ";", " ", 
      RowBox[{
      "otherwise", " ", "make", " ", "next", " ", "count", " ", "of", " ", 
       "number", " ", "of", " ", "heads", " ", "the", " ", "same", " ", "as", 
       " ", "previous", " ", "count"}], ";", " ", 
      RowBox[{
      "repeats", " ", "this", " ", "procedure", " ", "a", " ", "total", " ", 
       "of", " ", "Nflips", " ", "times"}]}], ",", " ", 
     RowBox[{
     "and", " ", "thereby", " ", "obtains", " ", "a", " ", "count", " ", "of",
       " ", "heads", " ", "obtained", " ", "as", " ", "a", " ", "function", 
      " ", "of", " ", "current", " ", "flip", " ", 
      RowBox[{"number", ".", " ", "We"}], " ", "then", " ", "repeat", " ", 
      "this", " ", "procedure", " ", "Nflips", " ", "times"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Histogram", "[", 
    RowBox[{"SimHeadsCount", ",", "50"}], "]"}]}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Creates", " ", "a", " ", "histogram", " ", "of", " ", "the", " ", "total",
     " ", "number", " ", "of", " ", "heads", " ", "obtained", " ", "across", 
    " ", "all", " ", "simulations"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"N", "[", 
   RowBox[{"Mean", "[", "SimHeadsCount", "]"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Computes", " ", "the", " ", "mean", " ", "of", " ", "the", " ", 
    "distribution"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"N", "[", 
   RowBox[{"StandardDeviation", "[", "SimHeadsCount", "]"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Computes", " ", "the", " ", "standard", " ", "deviation", " ", "of", " ", 
    "the", " ", "distribution"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7408301965705757`*^9, 3.740830214390897*^9}, {
   3.740831315055543*^9, 3.740831338309025*^9}, {3.740831408533101*^9, 
   3.7408314232023973`*^9}, {3.740831531594016*^9, 3.740831585486582*^9}, {
   3.740831660960227*^9, 3.740831828968705*^9}, {3.7408318624041977`*^9, 
   3.740831864089778*^9}, {3.740831986898638*^9, 3.740831987367584*^9}, {
   3.740832209785179*^9, 3.7408322100417747`*^9}, {3.740832641621709*^9, 
   3.740832720721026*^9}, {3.740833282206058*^9, 3.740833319753804*^9}, {
   3.740833680781681*^9, 3.740833722907447*^9}, {3.7408361183932657`*^9, 
   3.740836128742311*^9}, {3.740837122211788*^9, 3.7408371262020903`*^9}, {
   3.740876941906157*^9, 3.7408769672058573`*^9}, {3.740877012943445*^9, 
   3.740877013518951*^9}, {3.741049788694557*^9, 3.741049997435597*^9}, {
   3.741050036073166*^9, 3.741050040768559*^9}, {3.741050084771852*^9, 
   3.7410501210950336`*^9}, 
   3.74105033023989*^9},ExpressionUUID->"63a8aa4a-4e5f-435d-93a5-\
a7e6f28fe766"],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], EdgeForm[{
    Opacity[0.26599999999999996`], Thickness[Small]}], {}, 
    {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], EdgeForm[{
     Opacity[0.26599999999999996`], Thickness[Small]}], 
     RectangleBox[{438., 0}, {440., 1.},
      RoundingRadius->0], RectangleBox[{446., 0}, {448., 1.},
      RoundingRadius->0], RectangleBox[{448., 0}, {450., 2.},
      RoundingRadius->0], RectangleBox[{452., 0}, {454., 6.},
      RoundingRadius->0], RectangleBox[{454., 0}, {456., 6.},
      RoundingRadius->0], RectangleBox[{456., 0}, {458., 4.},
      RoundingRadius->0], RectangleBox[{458., 0}, {460., 12.},
      RoundingRadius->0], RectangleBox[{460., 0}, {462., 14.},
      RoundingRadius->0], RectangleBox[{462., 0}, {464., 10.},
      RoundingRadius->0], RectangleBox[{464., 0}, {466., 24.},
      RoundingRadius->0], RectangleBox[{466., 0}, {468., 38.},
      RoundingRadius->0], RectangleBox[{468., 0}, {470., 48.},
      RoundingRadius->0], RectangleBox[{470., 0}, {472., 44.},
      RoundingRadius->0], RectangleBox[{472., 0}, {474., 64.},
      RoundingRadius->0], RectangleBox[{474., 0}, {476., 67.},
      RoundingRadius->0], RectangleBox[{476., 0}, {478., 78.},
      RoundingRadius->0], RectangleBox[{478., 0}, {480., 94.},
      RoundingRadius->0], RectangleBox[{480., 0}, {482., 128.},
      RoundingRadius->0], RectangleBox[{482., 0}, {484., 156.},
      RoundingRadius->0], RectangleBox[{484., 0}, {486., 176.},
      RoundingRadius->0], RectangleBox[{486., 0}, {488., 177.},
      RoundingRadius->0], RectangleBox[{488., 0}, {490., 187.},
      RoundingRadius->0], RectangleBox[{490., 0}, {492., 231.},
      RoundingRadius->0], RectangleBox[{492., 0}, {494., 227.},
      RoundingRadius->0], RectangleBox[{494., 0}, {496., 241.},
      RoundingRadius->0], RectangleBox[{496., 0}, {498., 257.},
      RoundingRadius->0], RectangleBox[{498., 0}, {500., 247.},
      RoundingRadius->0], RectangleBox[{500., 0}, {502., 215.},
      RoundingRadius->0], RectangleBox[{502., 0}, {504., 252.},
      RoundingRadius->0], RectangleBox[{504., 0}, {506., 246.},
      RoundingRadius->0], RectangleBox[{506., 0}, {508., 236.},
      RoundingRadius->0], RectangleBox[{508., 0}, {510., 205.},
      RoundingRadius->0], RectangleBox[{510., 0}, {512., 206.},
      RoundingRadius->0], RectangleBox[{512., 0}, {514., 152.},
      RoundingRadius->0], RectangleBox[{514., 0}, {516., 169.},
      RoundingRadius->0], RectangleBox[{516., 0}, {518., 140.},
      RoundingRadius->0], RectangleBox[{518., 0}, {520., 126.},
      RoundingRadius->0], RectangleBox[{520., 0}, {522., 96.},
      RoundingRadius->0], RectangleBox[{522., 0}, {524., 81.},
      RoundingRadius->0], RectangleBox[{524., 0}, {526., 76.},
      RoundingRadius->0], RectangleBox[{526., 0}, {528., 58.},
      RoundingRadius->0], RectangleBox[{528., 0}, {530., 60.},
      RoundingRadius->0], RectangleBox[{530., 0}, {532., 37.},
      RoundingRadius->0], RectangleBox[{532., 0}, {534., 33.},
      RoundingRadius->0], RectangleBox[{534., 0}, {536., 21.},
      RoundingRadius->0], RectangleBox[{536., 0}, {538., 18.},
      RoundingRadius->0], RectangleBox[{538., 0}, {540., 7.},
      RoundingRadius->0], RectangleBox[{540., 0}, {542., 7.},
      RoundingRadius->0], RectangleBox[{542., 0}, {544., 6.},
      RoundingRadius->0], RectangleBox[{544., 0}, {546., 5.},
      RoundingRadius->0], RectangleBox[{546., 0}, {548., 1.},
      RoundingRadius->0], RectangleBox[{548., 0}, {550., 2.},
      RoundingRadius->0], RectangleBox[{550., 0}, {552., 1.},
      RoundingRadius->0], RectangleBox[{554., 0}, {556., 2.},
      RoundingRadius->0], RectangleBox[{556., 0}, {558., 1.},
      RoundingRadius->
       0]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{435.6, 0},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  PlotRange->{{438., 558.}, {All, All}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.741050321807725*^9, 
  3.74105037050183*^9},ExpressionUUID->"d72e9198-07df-4126-940c-8a99da659625"],

Cell[BoxData["499.3006601320264`"], "Output",
 CellChangeTimes->{3.741050321807725*^9, 
  3.741050370513791*^9},ExpressionUUID->"2d393996-f3de-489a-8783-\
7d60e51e99f4"],

Cell[BoxData["15.922048430236567`"], "Output",
 CellChangeTimes->{3.741050321807725*^9, 
  3.741050370567522*^9},ExpressionUUID->"14ecbe66-104a-4487-976d-\
4ce1f7b364da"]
}, Open  ]],

Cell[TextData[StyleBox["(f) Describing the Distribution",
 FontWeight->"Bold"]], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{
  3.740833395385007*^9, {3.7408334474198227`*^9, 3.7408334501309433`*^9}, {
   3.740833507867117*^9, 3.740833511081088*^9}, {3.740836679500115*^9, 
   3.740836685211668*^9}, {3.7408370887635098`*^9, 3.740837094441931*^9}, {
   3.740844539873929*^9, 
   3.740844557838676*^9}},ExpressionUUID->"a70618fb-3a2f-443e-a356-\
2f3d818126bf"],

Cell["\<\
(The distribution looks like a Gaussian distribution. By the computations at \
the end of the simulation, we find, 
mean = 499.301
standard deviation = 15.922

In part (a) we found (or quoted) the theoretical result <k>=500 and \
\[Sigma]_k=15.811 for a Binomial distribution with p=1/2 and N=1000. \
Therefore the results of the simulation are close to the theoretical results. \
We can therefore consider the distribution of heads for 1000 coin flips to be \
a Gaussian distribution with mean 500 and standard deviation 15.811)\
\>", "Text",
 CellChangeTimes->{{3.740831895476071*^9, 3.740831896053443*^9}, 
   3.740844544226406*^9, {3.74105028335826*^9, 3.741050596958383*^9}, 
   3.741050693865059*^9},ExpressionUUID->"bcc2d23a-e4b3-426c-9f8a-\
7478971a0a1d"]
}, Open  ]]
},
WindowSize->{954, 655},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"11.2 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info103741034848-4460184"->{
  Cell[16526, 398, 777, 16, 70, "Print",ExpressionUUID->"e124f3e1-e13b-4b9c-b26b-ceb23911173c",
   CellTags->"Info103741034848-4460184"]},
 "Info13741034823-4460184"->{
  Cell[3515, 102, 865, 18, 47, "Print",ExpressionUUID->"e73956d0-cfcb-430f-9598-a8541838b4ea",
   CellTags->"Info13741034823-4460184"]},
 "Info23741034828-4460184"->{
  Cell[4654, 132, 2212, 37, 136, "Print",ExpressionUUID->"89d6054d-5843-4e8c-a3e5-472dbcd4b2ce",
   CellTags->"Info23741034828-4460184"]},
 "Info33741034831-4460184"->{
  Cell[7129, 181, 1147, 22, 70, "Print",ExpressionUUID->"aa0c85e8-ce4e-457c-ba70-e1640a8f5a8b",
   CellTags->"Info33741034831-4460184"]},
 "Info43741034832-4460184"->{
  Cell[8419, 211, 517, 13, 47, "Print",ExpressionUUID->"b171c249-8def-4b59-8779-700b4c485392",
   CellTags->"Info43741034832-4460184"]},
 "Info53741034835-4460184"->{
  Cell[9199, 236, 1676, 29, 92, "Print",ExpressionUUID->"7e155e47-3355-4f0a-88e5-98977fae2ebf",
   CellTags->"Info53741034835-4460184"]},
 "Info63741034838-4460184"->{
  Cell[11021, 273, 702, 15, 47, "Print",ExpressionUUID->"745943fd-c91e-49f3-9590-690842f16818",
   CellTags->"Info63741034838-4460184"]},
 "Info73741034840-4460184"->{
  Cell[11990, 300, 2446, 39, 114, "Print",ExpressionUUID->"42f490a8-623e-44ae-a460-d49d7f73dd69",
   CellTags->"Info73741034840-4460184"]},
 "Info83741034844-4460184"->{
  Cell[14697, 351, 736, 15, 70, "Print",ExpressionUUID->"bc951557-ff9a-46af-9c9c-06df118ace1f",
   CellTags->"Info83741034844-4460184"]},
 "Info93741034846-4460184"->{
  Cell[15588, 374, 799, 16, 70, "Print",ExpressionUUID->"0cd2dbe9-8751-48de-942f-3c4bd750ddce",
   CellTags->"Info93741034846-4460184"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info103741034848-4460184", 50874, 1249},
 {"Info13741034823-4460184", 51043, 1252},
 {"Info23741034828-4460184", 51210, 1255},
 {"Info33741034831-4460184", 51379, 1258},
 {"Info43741034832-4460184", 51547, 1261},
 {"Info53741034835-4460184", 51714, 1264},
 {"Info63741034838-4460184", 51882, 1267},
 {"Info73741034840-4460184", 52050, 1270},
 {"Info83741034844-4460184", 52220, 1273},
 {"Info93741034846-4460184", 52388, 1276}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1428, 29, 94, "Input",ExpressionUUID->"0ddec9cd-366e-4c71-a200-dfc298dafbea"],
Cell[CellGroupData[{
Cell[2011, 53, 402, 9, 45, "Subsubsection",ExpressionUUID->"27770dff-b8c6-4028-a08b-43a423cf3356"],
Cell[2416, 64, 657, 18, 58, "Text",ExpressionUUID->"ca2c09a7-a756-4cfa-b8b4-7c4bc022c894"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3110, 87, 276, 8, 45, "Subsubsection",ExpressionUUID->"91e23396-02f3-45df-a643-0f3f1bb55283"],
Cell[CellGroupData[{
Cell[3411, 99, 101, 1, 30, "Input",ExpressionUUID->"cc8bcb16-41a6-4c30-9684-a556900fe9a1"],
Cell[3515, 102, 865, 18, 47, "Print",ExpressionUUID->"e73956d0-cfcb-430f-9598-a8541838b4ea",
 CellTags->"Info13741034823-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4417, 125, 234, 5, 30, "Input",ExpressionUUID->"8794e215-cef7-464b-95b9-b709c1ee2880"],
Cell[4654, 132, 2212, 37, 136, "Print",ExpressionUUID->"89d6054d-5843-4e8c-a3e5-472dbcd4b2ce",
 CellTags->"Info23741034828-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6903, 174, 223, 5, 30, "Input",ExpressionUUID->"dc3ca52d-a52e-40bb-9438-2e38ffdad6a7"],
Cell[7129, 181, 1147, 22, 70, "Print",ExpressionUUID->"aa0c85e8-ce4e-457c-ba70-e1640a8f5a8b",
 CellTags->"Info33741034831-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8313, 208, 103, 1, 30, "Input",ExpressionUUID->"f5b3bc30-635c-4f49-af65-39d16825acd4"],
Cell[8419, 211, 517, 13, 47, "Print",ExpressionUUID->"b171c249-8def-4b59-8779-700b4c485392",
 CellTags->"Info43741034832-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8973, 229, 223, 5, 30, "Input",ExpressionUUID->"98640a8d-17af-466f-ba36-c4af7a8c5192"],
Cell[9199, 236, 1676, 29, 92, "Print",ExpressionUUID->"7e155e47-3355-4f0a-88e5-98977fae2ebf",
 CellTags->"Info53741034835-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10912, 270, 106, 1, 30, "Input",ExpressionUUID->"a8f74e22-d3c1-4ff7-a0c7-a0325d174c7d"],
Cell[11021, 273, 702, 15, 47, "Print",ExpressionUUID->"745943fd-c91e-49f3-9590-690842f16818",
 CellTags->"Info63741034838-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11760, 293, 227, 5, 30, "Input",ExpressionUUID->"13c253fb-f60b-4f55-a61b-a7c06543f28b"],
Cell[11990, 300, 2446, 39, 114, "Print",ExpressionUUID->"42f490a8-623e-44ae-a460-d49d7f73dd69",
 CellTags->"Info73741034840-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14473, 344, 221, 5, 30, "Input",ExpressionUUID->"9029496f-42c9-475b-b060-5d39cdc8f8cf"],
Cell[14697, 351, 736, 15, 70, "Print",ExpressionUUID->"bc951557-ff9a-46af-9c9c-06df118ace1f",
 CellTags->"Info83741034844-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15470, 371, 115, 1, 30, "Input",ExpressionUUID->"47116c2e-7979-4280-b05f-c6668f680605"],
Cell[15588, 374, 799, 16, 70, "Print",ExpressionUUID->"0cd2dbe9-8751-48de-942f-3c4bd750ddce",
 CellTags->"Info93741034846-4460184"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16424, 395, 99, 1, 30, "Input",ExpressionUUID->"e75c18dd-7ac9-4d1e-b5e1-7876640c6f36"],
Cell[16526, 398, 777, 16, 70, "Print",ExpressionUUID->"e124f3e1-e13b-4b9c-b26b-ceb23911173c",
 CellTags->"Info103741034848-4460184"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17352, 420, 354, 9, 56, "Subsubsection",ExpressionUUID->"f873ad81-f509-4005-a519-1b95a56bcad5"],
Cell[17709, 431, 278, 6, 35, "Text",ExpressionUUID->"6c331d6d-4f0c-49a0-8fd8-4a56e4865e4b"],
Cell[CellGroupData[{
Cell[18012, 441, 776, 21, 52, "Input",ExpressionUUID->"effa9ea1-20e5-4265-bb72-3de486ac27ff"],
Cell[CellGroupData[{
Cell[18813, 466, 131, 3, 24, "Print",ExpressionUUID->"e7697f8e-bbab-4d79-85e9-5eef81be7f57"],
Cell[18947, 471, 129, 3, 24, "Print",ExpressionUUID->"b93b1eef-ead2-4449-874e-cd50622828d4"],
Cell[19079, 476, 129, 3, 24, "Print",ExpressionUUID->"979be5d7-e6e6-4717-99a7-a3b58a137d53"],
Cell[19211, 481, 126, 2, 24, "Print",ExpressionUUID->"1d6e1ae7-0d10-4cc6-8c6a-3b9ee6e9ab6d"],
Cell[19340, 485, 129, 3, 24, "Print",ExpressionUUID->"7e49bc1e-910a-417a-bf95-3c6251f60282"]
}, Open  ]]
}, Open  ]],
Cell[19496, 492, 273, 6, 44, "Text",ExpressionUUID->"5c1f1afa-66b4-4b82-843b-139d11738c7c"],
Cell[CellGroupData[{
Cell[19794, 502, 1218, 30, 94, "Input",ExpressionUUID->"b5fc2a9f-8872-48f3-a146-839317bfaca8"],
Cell[21015, 534, 129, 3, 24, "Print",ExpressionUUID->"1b72276f-064d-4c68-b0fe-2dcff6eab43f"]
}, Open  ]],
Cell[21159, 540, 274, 6, 44, "Text",ExpressionUUID->"9dd8eef7-038e-4c8d-8cd6-15e3064f8612"],
Cell[CellGroupData[{
Cell[21458, 550, 1629, 40, 115, "Input",ExpressionUUID->"3187b146-8718-4bc3-a26e-e850ea370635"],
Cell[CellGroupData[{
Cell[23112, 594, 129, 3, 24, "Print",ExpressionUUID->"3d030525-f353-4eab-ba4b-851af9ffb057"],
Cell[23244, 599, 131, 3, 24, "Print",ExpressionUUID->"d10a8deb-cc67-479e-ab66-91b64f16d6c4"],
Cell[23378, 604, 125, 2, 24, "Print",ExpressionUUID->"4655575a-94f7-4107-99ed-7ac4faf6ad4c"]
}, Open  ]]
}, Open  ]],
Cell[23530, 610, 313, 7, 44, "Text",ExpressionUUID->"069330e8-e84e-4234-b140-8071ace4fcb3"],
Cell[CellGroupData[{
Cell[23868, 621, 979, 25, 52, "Input",ExpressionUUID->"1f9eb50f-1a14-42f5-909d-6de09211cb0f"],
Cell[24850, 648, 130, 3, 34, "Output",ExpressionUUID->"4c06546a-56ca-475a-a0e3-95a54e749e10"]
}, Open  ]],
Cell[24995, 654, 312, 7, 44, "Text",ExpressionUUID->"90950759-5707-42cd-bda5-12179598c193"],
Cell[CellGroupData[{
Cell[25332, 665, 1497, 36, 115, "Input",ExpressionUUID->"67c14706-192c-44f6-94aa-d7335ab3e11b"],
Cell[CellGroupData[{
Cell[26854, 705, 184, 5, 24, "Print",ExpressionUUID->"4b5e04a0-e472-4f0c-8c36-0677fa4c9043"],
Cell[27041, 712, 196, 5, 24, "Print",ExpressionUUID->"25b20ee8-0438-4229-9f1f-c0b94078e465"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27298, 724, 429, 7, 56, "Subsubsection",ExpressionUUID->"bf0cc75e-ff58-43be-9edc-c1b9e3021430"],
Cell[27730, 733, 373, 7, 44, "Text",ExpressionUUID->"87aa1e0e-5fa1-4063-86dc-54b35dd253f7"],
Cell[CellGroupData[{
Cell[28128, 744, 4366, 102, 283, "Input",ExpressionUUID->"5a77e31b-9905-4375-9b92-53fa96fb1b7a"],
Cell[32497, 848, 5136, 100, 241, "Output",ExpressionUUID->"336b06f4-c0c1-45ad-96bd-f26ac38cb3aa"]
}, Open  ]],
Cell[37648, 951, 371, 7, 44, "Text",ExpressionUUID->"16701fdc-a7f0-4475-86d5-3ba95c44ec96"],
Cell[CellGroupData[{
Cell[38044, 962, 6217, 149, 493, "Input",ExpressionUUID->"63a8aa4a-4e5f-435d-93a5-a7e6f28fe766"],
Cell[44264, 1113, 4661, 83, 236, "Output",ExpressionUUID->"d72e9198-07df-4126-940c-8a99da659625"],
Cell[48928, 1198, 169, 3, 34, "Output",ExpressionUUID->"2d393996-f3de-489a-8783-7d60e51e99f4"],
Cell[49100, 1203, 170, 3, 34, "Output",ExpressionUUID->"14ecbe66-104a-4487-976d-4ce1f7b364da"]
}, Open  ]],
Cell[49285, 1209, 474, 9, 44, "Text",ExpressionUUID->"a70618fb-3a2f-443e-a356-2f3d818126bf"],
Cell[49762, 1220, 773, 15, 173, "Text",ExpressionUUID->"bcc2d23a-e4b3-426c-9f8a-7478971a0a1d"]
}, Open  ]]
}
]
*)

